Subject: Re: [bug#30991] [PATCH v2 2/3] services: Add modem-manager-service-type.

From: Danny Milosavljevic <[email-masked]>
Date: Tue, 4 Sep 2018 21:41:17 +0200

Hi Ludo,

On Tue, 04 Sep 2018 15:22:07 +0200
[email-masked] (Ludovic Courtès) wrote:

> I think the only question was about patch 3/3, which adds ModemManager
> to ‘%desktop-services’.  I’m in favor of dropping patch 3/3, but
> regardless patches 1/3 (the variant that moves
> ‘static-networking-service-type’ to (gnu services base), as we
> discussed) and 2/3 can definitely go in!

It already is in master.  I guess I left the bug report open so far - probably
because of the %desktop-services .

I still want to underline that there should be a way for a regular user
to bootstrap from the GuixSD image to a "guix pull"-able system using
his existing internet connection - otherwise the first impression is bad.

This means that the GuixSD image needs to have at least pppd, and
maybe modem-manager too (maybe not).